/***************************************************
//Web: http://www.buydisplay.com
EastRising Technology Co.,LTD
Examples for ER-OLEDM0.69-1
Display is Hardward I2C 2-Wire I2C Interface 
Tested and worked with: 
Works with Raspberry pi
****************************************************/

#include <bcm2835.h>
#include <stdio.h>
#include <time.h>
#include "ssd1306.h"

char value[10] = {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9'};
int main(int argc, char **argv)
{
    time_t now;
    struct tm *timenow;
    if(!bcm2835_init())
    {
        return -1;
    }
    printf("OLED begin\r\n");
    SSD1306_begin();
    printf("OLED bitmap\r\n");
    SSD1306_bitmap(0, 0, PIC1, 96, 16);
    SSD1306_display();
    bcm2835_delay(3000);
    printf("OLED clear\r\n");
    SSD1306_clear();
    printf("OLED bitmap\r\n");
    SSD1306_bitmap(0, 0, PIC2, 96, 16);
    SSD1306_display();
    bcm2835_delay(3000);
    printf("OLED clear\r\n");
    SSD1306_clear();
    printf("OLED bitmap\r\n");
    SSD1306_bitmap(0, 4, Signal816, 16, 8); 
    SSD1306_bitmap(24, 4, Bluetooth88, 8, 8); 
    SSD1306_bitmap(40, 4, Msg816, 16, 8); 
    SSD1306_bitmap(64, 4, GPRS88, 8, 8); 
    SSD1306_bitmap(88, 4, Alarm88, 8, 8); 
    SSD1306_display();
    bcm2835_delay(3000);
    SSD1306_clear();
    printf("OLED string\r\n");
    SSD1306_string(8, 0, "buydisplay", 16, 1); 
    SSD1306_display();
    bcm2835_delay(3000);
    SSD1306_clear();
    printf("OLED display time\r\n");

    while(1)
    {


        time(&now);
        timenow = localtime(&now);



        SSD1306_char(0, 0, value[timenow->tm_hour / 10], 16, 1);
        SSD1306_char(14, 0, value[timenow->tm_hour % 10], 16, 1);
        SSD1306_char(26, 0, ':' , 16, 1);
        SSD1306_char(38, 0, value[timenow->tm_min / 10], 16, 1);
        SSD1306_char(50, 0, value[timenow->tm_min % 10], 16, 1);
        SSD1306_char(62, 0, ':' , 16, 1);
        SSD1306_char(74, 0, value[timenow->tm_sec / 10], 16, 1);
        SSD1306_char(86, 0, value[timenow->tm_sec % 10], 16, 1);

    
        SSD1306_display();


    }
    bcm2835_i2c_end();
    bcm2835_close();
    return 0;
}

